package drawing;

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Color;


public abstract class ThemeRiverDrawer implements IConstants {

  protected Point[][] controlpoints;
  protected int width, height;
  protected ColorList cl;

  //MagicLens
  protected ThemeRiverDrawer lensdrawer;
  protected int lenscenterx, lenswidth;


  //Konstruktor
  public ThemeRiverDrawer(Point[][] controlpoints, int width, int height, ColorList cl) {
    this.controlpoints = controlpoints;
    this.width = width;
    this.height = height;
    this.cl = cl;
    lensdrawer = null;
  }





  public abstract void draw(Graphics2D g2d);




}